---
id: design
title: Design
---

export const Tag = ({children, color}) => (
<span
style={{
      backgroundColor: color,
      borderRadius: '2px',
      color: '#fff',
      padding: '0.2rem',
    }}>
{children}
</span>
);

No description

```graphql
type Design {
  model: String
  name: String
  description: String
  trials(
    first: Int = 0
    offset: Int = 0
    orderBy: [_ClinicalTrialOrdering] = []
    filter: _ClinicalTrialFilter
  ): [ClinicalTrial]
  arms(
    first: Int = 0
    offset: Int = 0
    orderBy: [_ArmOrdering] = []
    filter: _ArmFilter
  ): [Arm]
  _id: String
}
```

### Fields

#### `model` ([`String`](/docs/api/scalars/string))

#### `name` ([`String`](/docs/api/scalars/string))

#### `description` ([`String`](/docs/api/scalars/string))

#### `trials` ([`[ClinicalTrial]`](/docs/api/objects/clinical-trial))

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_ClinicalTrialOrdering]`](/docs/api/enums/clinical-trial-ordering))

- ##### `filter` ([`_ClinicalTrialFilter`](/docs/api/inputs/clinical-trial-filter))

#### `arms` ([`[Arm]`](/docs/api/objects/arm))

- ##### `first` ([`Int`](/docs/api/scalars/int))

- ##### `offset` ([`Int`](/docs/api/scalars/int))

- ##### `orderBy` ([`[_ArmOrdering]`](/docs/api/enums/arm-ordering))

- ##### `filter` ([`_ArmFilter`](/docs/api/inputs/arm-filter))

#### `_id` ([`String`](/docs/api/scalars/string))

Generated field for querying the Neo4j [system id](https://neo4j.com/docs/cypher-manual/current/functions/scalar/#functions-id) of this node.
